<html>
    <head>
        <title>$topic</title>
        <link rel="stylesheet" href="main.css">
        <script type="text/javascript" src="chat.js"></script>
        <script type="text/javascript" src="util.js"></script>
    </head>
    <body>
        <a href='index.html'>Back to topics</a>

        <div class='center'>
            <h1>$topic</h1>

            <ul id='messages'>
                <li>Message</li>
            </ul>

            <div class='form'>
                <input type='text' id='message' value=''/>
                <input type='hidden' id='channelID' value='$channelID' />
                <input type='hidden' id='userID' value='$userID' />
            </div>
        </div>

        <script>
            // Give a focus to 'message' input.
            document.getElementById("message").focus();

            // Get the input field
            const input = document.getElementById('message');

            // Execute a function when the user releases a key on the keyboard
            input.addEventListener("keyup", function(event) {
              // Number 13 is the "Enter" key on the keyboard
              if (event.keyCode === 13) {
                // Cancel the default action, if needed.
                event.preventDefault();
                // Submit message.
                submitMessage();
                // Reset input
                input.value = '';
              }
            });

            update();
        </script>
    </body>
</html>